KDE 4.2 PyKDE API Reference

- KDE's Python API

# KMultiTabBar Class Reference

`from PyKDE4.kdeui import *`

Inherits: QWidget → QObject

## Detailed Description

A Widget for horizontal and vertical tabs. (Note that in Qt4, QTabBar can be vertical as well)

It is possible to add normal buttons to the top/left The handling if only one tab at a time or multiple tabs should be raisable is left to the "user".

Author:
  Joseph Wenninger

## Enumerations

KMultiTabBarPosition | { Left, Right, Top, Bottom }
KMultiTabBarStyle | { VSNET, KDEV3ICON, STYLELAST }

## Methods

| __init__ (self, KMultiTabBar.KMultiTabBarPosition pos, QWidget parent=0)
int | appendButton (self, QPixmap pic, int id=-1, QMenu popup=0, QString not_used_yet=QString())
int | appendTab (self, QPixmap pic, int id=-1, QString text=QString())
KMultiTabBarButton | button (self, int id)
| fontChange (self, QFont a0)
bool | isTabRaised (self, int id)
KMultiTabBar.KMultiTabBarPosition | position (self)
| removeButton (self, int id)
| removeTab (self, int id)
| setPosition (self, KMultiTabBar.KMultiTabBarPosition pos)
| setStyle (self, KMultiTabBar.KMultiTabBarStyle style)
| setTab (self, int id, bool state)
KMultiTabBarTab | tab (self, int id)
KMultiTabBar.KMultiTabBarStyle | tabStyle (self)
| updateSeparator (self)

## Method Documentation

__init__ | ( | self, |
|  | KMultiTabBar.KMultiTabBarPosition | pos,
|  | QWidget | parent=0
| ) |  |  |

The list of available styles for KMultiTabBar - VSNET - Visual Studio .Net like, always shows icon, only show the text of active tabs - KDEV3ICON - Kdevelop 3 like, always shows the text and icons

int appendButton | ( | self, |
|  | QPixmap | pic,
|  | int | id=-1,
|  | QMenu | popup=0,
|  | QString | not_used_yet=QString()
| ) |  |  |

append a new button to the button area. The button can later on be accessed with button(ID) eg for connecting signals to it

Parameters:

  | pic | a pixmap for the button
  | id | an arbitraty ID value. It will be emitted in the clicked signal for identifying the button if more than one button is connected to a signals.
  | popup | A popup menu which should be displayed if the button is clicked
  | not_used_yet | will be used for a popup text in the future

int appendTab | ( | self, |
|  | QPixmap | pic,
|  | int | id=-1,
|  | QString | text=QString()
| ) |  |  |

append a new tab to the tab area. It can be accessed lateron with tabb(id);

Parameters:

  | pic | a bitmap for the tab
  | id | an arbitrary ID which can be used later on to identify the tab
  | text | if a mode with text is used it will be the tab text, otherwise a mouse over hint

KMultiTabBarButton button | ( | self, |
|  | int | id
| ) |  |  |

get a pointer to a button within the button area identified by its ID

fontChange | ( | self, |
|  | QFont | a0
| ) |  |  |

bool isTabRaised | ( | self, |
|  | int | id
| ) |  |  |

return the state of a tab, identified by its ID

KMultiTabBar.KMultiTabBarPosition position | ( |  | self ) |

get the tabbar position.

Returns:
  position

removeButton | ( | self, |
|  | int | id
| ) |  |  |

remove a button with the given ID

removeTab | ( | self, |
|  | int | id
| ) |  |  |

remove a tab with a given ID

setPosition | ( | self, |
|  | KMultiTabBar.KMultiTabBarPosition | pos
| ) |  |  |

set the real position of the widget.

Parameters:

  | pos | if the mode is horizontal, only use top, bottom, if it is vertical use left or right

setStyle | ( | self, |
|  | KMultiTabBar.KMultiTabBarStyle | style
| ) |  |  |

set the display style of the tabs

setTab | ( | self, |
|  | int | id,
|  | bool | state
| ) |  |  |

set a tab to "raised"

Parameters:

  | id | The ID of the tab to manipulate
  | state | true == activated/raised, false == not active

KMultiTabBarTab tab | ( | self, |
|  | int | id
| ) |  |  |

get a pointer to a tab within the tab area, identiifed by its ID

KMultiTabBar.KMultiTabBarStyle tabStyle | ( |  | self ) |

get the display style of the tabs

Returns:
  display style

updateSeparator | ( |  | self ) |

## Enumeration Documentation

KMultiTabBarPosition

Enumerator:

  Left |
  Right |
  Top |
  Bottom |

KMultiTabBarStyle

The list of available styles for KMultiTabBar - VSNET - Visual Studio .Net like, always shows icon, only show the text of active tabs - KDEV3ICON - Kdevelop 3 like, always shows the text and icons

Enumerator:

  VSNET = 0 |
  KDEV3ICON = 2 |
  STYLELAST = 0xffff |